Bug 952354 - Review Request: ovirt-log-collector - Log Collector tool for oVirt Engine
Review Request: ovirt-log-collector - Log Collector tool for oVirt Engine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-15 14:51 EDT by Kiril Nesenko
Modified: 2014-07-10 20:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 02:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2013-04-15 14:51:51 EDT
Spec URL: http://knesenko.fedorapeople.org/ovirt-log-collector.spec
SRPM URL: http://knesenko.fedorapeople.org/ovirt-log-collector-3.2.1-1.fc17.src.rpm
Description: Log Collector tool for oVirt Engine
Fedora Account System Username: knesenko
Comment 1 Kiril Nesenko 2013-04-16 09:33:15 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5258194
Comment 2 Kiril Nesenko 2013-04-17 10:09:38 EDT
Spec URL: http://knesenko.fedorapeople.org/ovirt-log-collector.spec
SRPM URL: http://knesenko.fedorapeople.org/ovirt-log-collector-3.2.2-1.fc17.src.rpm
Description: Log Collector tool for oVirt Engine
Fedora Account System Username: knesenko
Comment 3 Vasant Hegde 2013-04-30 03:17:16 EDT
Package review output:
------------------------

Package Review 
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "GPL", "LGPL (v2.1 or later)", "LGPL", "Unknown or
     generated". 5 files have unknown license. Detailed output of licensecheck
     in /data/opensource/powerpack/git/fedora-scm/952354/review-ovirt-log-
     collector/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ovirt-log-collector-3.2.2-1.fc17.noarch.rpm
ovirt-log-collector.noarch: W: manual-page-warning /usr/share/man/man8/engine-log-collector.8.gz 28: name expected (got a special character): treated as missing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ovirt-log-collector
ovirt-log-collector.noarch: W: manual-page-warning /usr/share/man/man8/engine-log-collector.8.gz 28: name expected (got a special character): treated as missing
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
ovirt-log-collector (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(ovirt-log-collector)
    ovirt-engine-sdk
    python
    python(abi)
    python-dateutil
    python-lxml
    sos



Provides
--------
ovirt-log-collector:
    config(ovirt-log-collector)
    ovirt-log-collector



MD5-sum check
-------------
http://resources.ovirt.org/releases/3.2/src/ovirt-log-collector-3.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : 1b4c4b4ea3b38bc3979eb3e6056000f3470b909dcbfce8ac4cc7b8e1abbd954f
  CHECKSUM(SHA256) upstream package : 1b4c4b4ea3b38bc3979eb3e6056000f3470b909dcbfce8ac4cc7b8e1abbd954f


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -n ovirt-log-collector
Comment 4 Vasant Hegde 2013-04-30 03:18:13 EDT
Few more comments:

- License statement is not required in spec file.
- 'package_version' and 'package_name' are not really needed. They only duplicate %{name} and {version}.
- BuildRoot  is obselete
	https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
- The timestamps are not preserved in the %install section.
- 'rm -rf "%{buildroot}' is not required.
- %changelog : 	requires description of changes

The package is named 'ovirt-log-collector', the binary 'engine-log-collector', the manpage 'engine-log-collector.8.gz', and the configuration file 'logcollector.conf'. IMO consistent naming schema helps ot identify compoenents which belong together.

-Vasant
Comment 5 Karsten Hopp 2013-04-30 07:35:26 EDT
[!]: Package must own all directories that it creates.
   /usr/lib/python2.7/site-packages/ovirt_log_collector/
Comment 6 Christopher Meng 2013-09-05 10:09:12 EDT
Why WONTFIX?

Note You need to log in before you can comment on or make changes to this bug.